import React from 'react'
import styled from 'styled-components'
import Ref from '../components/Ref'
import img1 from './media/images/seta_1.png'
import img2 from './media/images/seta2.png'
import img3 from './media/images/person3.png'
import CaixaContorno from '../components/CaixaContorno'
import CaixaColorida from '../components/CaixaColorida'
import CaixaDialogoFundo from '../components/CaixaDialogoFundo'

// Styling
const StyledDiv = styled.div`
  .tamanho1 {
      width: 6.9%;
  }
  .tamanho11 {
      width: 13.9%;
  }
  @media screen and (max-width: 900px){
    .tamanho4{
      width: 34.9%;
    }
    .tamanho3{
      width: 31.9%;
    }
    .conversa{
      border-radius: 1vh !important;
    }
}
`

// Page
class Page extends React.Component {
  componentDidMount () {

  }

  render () {
    return (
    // Page content
      <StyledDiv className='content'>
        <h2>Doenças orais mais frequentes em gestantes e puérperas</h2>
        <div className='page'>
        <p>A partir de agora serão apresentadas as principais alterações na cavidade bucal que acometem as gestantes e puérperas<Ref key={"rf"+Date.now()} Id="13"/>. Veja abaixo quais são elas:</p>

        <div className="grid-row">
            <div className="tamanho1 meio animated bounceInLeft delay-0s" id="obj1">
              <div><img src={img1}/></div>
            </div>
            <div className="tamanho4 meio animated bounceInLeft delay-1s" id="obj2">
              <CaixaColorida Content={[<p className="centro">Doenças periodontais</p>]} />
            </div>
            <div className="tamanho11 meio animated bounceInLeft delay-2s" id="obj3">
              <div><img src={img2}/></div>
            </div>
            <div className="tamanho3 meio animated bounceInLeft delay-3s">
              <div className="borda" id="obj4">
                <CaixaContorno Content={[<p className="centro">Gengivite</p>]} />
              </div>
              <div className="borda" id="obj5">
                <CaixaContorno Content={[<p className="centro">Hiperplasia gengival</p>]} />
              </div>
              <div className="borda" id="obj6">
                <CaixaContorno Content={[<p className="centro">Granuloma piogênico</p>]} />
              </div>
            </div>
          </div>

          <div className="grid-row">
            <div className="tamanho1 meio animated bounceInLeft delay-4s" id="obj7">
              <div><img src={img1} alt=""/></div>
            </div>
            <div className="tamanho4 meio animated bounceInLeft delay-5s" id="obj8">
              <div className="cx-colorida">
                <CaixaColorida Content={[<p className="centro">Alterações salivares</p>]} />
              </div>
            </div>
          </div>

          <CaixaDialogoFundo DialogContent={[<p>Além das alterações acima, também podem ocorrer os melasmas<Ref key={"rf"+Date.now()} Id="13"/>. Acompanhe nas páginas seguintes mais informações</p>]}/>. 

        </div>
      </StyledDiv>
    )
  }
}
export default Page
