import React from 'react'
import styled from 'styled-components'
import Ref from '../components/Ref'
import img1 from './media/images/pag13_img1.png'
import CaixaColorida from '../components/CaixaColorida';

// Styling
const StyledDiv = styled.div`
    #destaque-marker1{
        top: 10%;
        left: 10%;
    }
    #destaque-marker2{
        top: 6%;
        left: 63%;
    }
    #destaque-marker3{
        top: 71%;
        left: 47%; 
    }
    .caixa-colorida .ref{
      color:#fff !important;
    }
`

// Page
class Page extends React.Component {
  componentDidMount () {

  }

  render () {
    return (
    // Page content
      <StyledDiv className='content'>
        <h2>Doenças orais mais frequentes em gestantes e puérperas</h2>
        <div className='page'>
        <p><strong>Doenças periodontais</strong></p>

        <p>A elevação dos níveis de estrogênio, o que aumenta a permeabilidade capilar, predispõe as gestantes à gengivite e à hiperplasia gengival. Embora esses fatores não levem à periodontite, eles podem piorar as condições preexistentes<Ref key={"rf"+Date.now()} Id="13"/>.</p>

        <div class="grid-row centro">
          <div class="tamanho6">
            <div><img src={img1} alt=""/></div>
          </div>
        </div>

        <p>As mudanças gengivais ocorrem geralmente entre o 3º e o 8º mês de gestação e diminuem gradativamente após o parto<Ref key={"rf"+Date.now()} Id="4"/>. São decorrentes da associação de higiene bucal pobre e irritantes locais provenientes do biofilme dental.</p>
        <div className="grid-row caixa">
        <CaixaColorida Content={[<p>As mudanças hormonais e vasculares que acompanham a gestação apenas exacerbam a resposta inflamatória a esses irritantes locais<Ref key={"rf"+Date.now()} Id="4"/><sup>,</sup><Ref key={"rf"+Date.now()} Id="14"/>.</p>]}/>
        </div>
        </div>
      </StyledDiv>
    )
  }
}
export default Page
