import React from 'react'
import styled from 'styled-components'
import img1 from './media/images/pag14_img1.png'
import img2 from './media/images/pag14_img2.png'
import img3 from './media/images/pag14_img3.png'
import img4 from './media/images/pag14_img4.png'
import CaixaSliderImg from '../components/CaixaSliderImg';

// Styling
const StyledDiv = styled.div`
    .circ-select .slider-circ .slide-circ {
        width: 2vh;
        height: 2vh;
        border: 1px solid #70b843;
        border-radius: 50%;
        display: inline-block;
        background-color: white;
        cursor: pointer;
        margin-left: 0.5vh;
    }
    .circ-select .slider-circ .slide-circ-active {
    background-color: #70b843;
}
.slider-imgs .slider-img-active {
    text-align: center;
    width: 64%;
}
.slider-circ {
  
  margin-top: 1.3vh !important;
}
`

// Page
class Page extends React.Component {
  componentDidMount () {

  }

  render () {
    return (
    // Page content
      <StyledDiv className='content'>
        <h2>Doenças orais mais frequentes em gestantes e puérperas</h2>
        <div className='page'>
        <p><strong>Doenças periodontais</strong></p>

        <p>Os agentes patológicos mais frequentemente associados à ocorrência das doenças periodontais são <i>Porphyromonas gingivalis, Tannerella forsythensis e Treponema denticola</i>. <strong>Clique</strong> nas setas abaixo e observe as alterações inflamatórias mais frequentes:</p>


        <CaixaSliderImg Content={[
                    {src: img1, content: [<p className="centro"><strong>Aumento da profundidade de sondagem</strong></p>]}, 
                    {src: img2, content: [<p className="centro"><strong>Aumento do fluido crevicular gengival</strong></p>]},
                    {src: img3, content: [<p className="centro"><strong>Aparecimento ou exacerbação de inflamação gengival preexistente</strong></p>]},
                    {src: img4, content: [<p className="centro"><strong>Aparecimento ou aumento de mobilidade dentária preexistente</strong></p>]}]} />

        <p>Acompanhe na página seguinte mais informações sobre cada uma delas, começando pela <strong>gengivite</strong>.</p>

        </div>
      </StyledDiv>
    )
  }
}
export default Page
