import React from 'react'
import styled from 'styled-components'
import img1 from './media/images/person6-1.png'
import CaixaDialogoFundo from '../components/CaixaDialogoFundo'
import $ from "jquery"

// Styling
const StyledDiv = styled.div`
.caixa-anime {
    border: none;
    border-right: 1px solid #589e2c;
    border-bottom: 1px solid #589e2c;
    background: #F3F3F3;
    border-radius: 3px;
    box-shadow: 1px 1px 2px #999;
}
[class*="caixa"] {
    height: auto;
    padding: 2%;
    margin: 5px 0;
    word-spacing: -4px;
}
.btn-selecao {
    overflow: hidden;
    background-color: #71B844;
    border-right: 1px solid #71B844;
    border-bottom: 1px solid #71B844;
    border-radius: 3px;
    box-shadow: 1px 1px 2px #999;
    position: relative;
    margin: 2px;
    color: #FFF;
    transition: border-color 0.3s, background-color 0.3s;
    transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);
    cursor: pointer;
}
.button {
    padding: 10px 0px 10px 4px;
    font-size: 16px;
    word-spacing: normal;
}
.btn-selecao > span {
    padding: 10px 0 10px 3px;
    font-family: "Trebuchet MS",Arial,Helvetica,sans-serif;
    transition: transform 0.3s, opacity 0.3s;
    transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);
}
.btn-selecao::after {
    content: attr(data-text);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    text-align: center !important;
    opacity: 0;
    color: #71B844;
    transform: translate3d(0, 25%, 0);
}
.grid-row{
  margin-top: 1vh;
  margin-bottom: 1vh;
}
.tamanho2 {
    width: 24.9%;
}
@media screen and (max-width: 900px){
    .conversa{
      min-height: 14vh !important;
    }
}
.conversa-imagem{
  width: 21% !important;
}
@media screen and (max-width: 600px){
  .tamanho2 {
    width: 34.9%;
}
.tamanho3 {
  width: 39.9%;
}
}


`

// Page
class Page extends React.Component {
  componentDidMount () {
    $('.caixa-anime').hide();
    $('.btn-selecao').css({ "opacity":"0.3" });


    chamaTexto( $("#cx1") );
    ativaBotao( $("#obj1") );

    function chamaTexto( obj ) {

        apagaTextos();

        obj.fadeIn("slow");
    }

    function ativaBotao( obj ) {

        desativaBotoes();

        obj.find('.btn-selecao').css({ "opacity":"1.0" });

        var txt = obj.attr("id");
        txt = txt.substring(3,4);
        txt = "#cx"+txt;

        // console.log(txt);

        chamaTexto( $(txt) );
    }

    function desativaBotoes() {
        $('.btn-selecao').css({ "opacity":"0.3" });
    }

    function apagaTextos() {
        $('.caixa-anime').hide();
    }

    $(".obj").click(function(){

        var btn = $(this).attr('id');
        btn = "#"+btn;
        ativaBotao( $(btn) );
    });
  }

  render () {
    return (
    // Page content
      <StyledDiv className='content'>
        <h2>Doenças orais mais frequentes em gestantes e puérperas</h2>
        <div className='page'>
          <p><strong>Doenças periodontais</strong></p>

          <p>Tendo em vista que os fatores relacionados à gestação predispõem as gestantes às doenças periodontais, questiona-se:</p>

          <CaixaDialogoFundo DialogContent="Será que a doença periodontal tem potencial para aumentar o risco de complicações obstétricas? De quais complicações obstétricas estamos falando?" DialogImage={img1} />

          <p>As suposições recaem sobre a associação entre doença periodontal e desfechos como nascimento pré-termo, baixo peso ao nascimento e pré-eclâmpsia. <strong>Clique</strong> nos botões abaixo para saber mais:</p>

          <div class="grid-row centro">
            <div class="tamanho3">
              <div className="obj animated fadeInLeft delay-0s" id="obj1"><div className="button btn-selecao" data-text="Nascimento pré-termo"><span>Nascimento pré-termo</span></div></div>
            </div>
            <div class="tamanho4">
              <div className="obj animated fadeInLeft delay-0s" id="obj2"><div className="button btn-selecao" data-text="Baixo peso ao nascimento"><span>Baixo peso ao nascimento</span></div></div>
            </div>
            <div class="tamanho2">
              <div className="obj animated fadeInLeft delay-0s" id="obj3"><div className="button btn-selecao" data-text="Pré-eclâmpsia"><span>Pré-eclâmpsia</span></div></div>                
            </div>
          </div>

          <div className="grid-row">
              <div className="tamanho10">
                  <div className="caixa-anime" id="cx1">
                    <p>Refere-se ao nascimento de um bebê antes de completar 37 semanas de gestação.</p>
                  </div>
                  <div className="caixa-anime" id="cx2">
                    <p>É determinado por um peso do bebê ao nascimento inferior a 2500g.</p>
                  </div>
                  <div className="caixa-anime" id="cx3">
                    <p>Refere-se à gestante com hipertensão, proteinúria e idade gestacional acima de 20 semanas.</p>
                  </div>
              </div>
          </div>

        </div>

      </StyledDiv>
    )
  }
}
export default Page
