import React from 'react'
import styled from 'styled-components'
import Ref from '../components/Ref'
import img1 from './media/images/seta7.png'
import img2 from './media/images/pag17_img1.png'
import CaixaSombreada from '../components/CaixaSombreada'
import CaixaColorida from '../components/CaixaColorida'
import CaixaIcone from '../components/CaixaIcone'

// Styling
const StyledDiv = styled.div`
   .tamanho1{
    width: 2%;
   }
   .tamanho3{
    width: 25%;
   }
   @media screen and (max-width: 900px){
    .tamanho2{
      width: 29.9%;
    }
    .tamanho7{
      width: 63.9%;
    }
}
.caixa-colorida .ref{
      color:#fff !important;
    }
    @media screen and (max-width: 600px){
      .tamanho1 {
        width: 8%;
      }
    }
    
    
`

// Page
class Page extends React.Component {
  componentDidMount () {

  }

  render () {
    return (
    // Page content
      <StyledDiv className='content'>
        <h2>Doenças orais mais frequentes em gestantes e puérperas</h2>
        <div className='page'>
        <p><strong>Doenças periodontais</strong></p>

        <p>Quanto à associação entre doença periodontal e prematuridade/baixo peso, pode-se afirmar que há uma correlação positiva<Ref key={"rf"+Date.now()} Id="16"/><sup>,</sup><Ref key={"rf"+Date.now()} Id="17"/>.</p>

        <CaixaSombreada Content={[<p>Em relação à associação entre a doença periodontal e a pré-eclâmpsia, a metanálise de Sgolastra e colaboradores<Ref key={"rf"+Date.now()} Id="18"/> mostra que a periodontite é um possível fator de risco para a pré-eclâmpsia.</p>]} />

        <div class="grid-row centro">
          <div class="tamanho1 meio animated fadeInDown delay-0s" id="obj1">
              <img src={img1}/>
          </div>
        </div>

        <div class="grid-row centro">
          <div class="tamanho2 meio animated fadeInDown delay-1s" id="obj2">
              <div><img src={img2}/></div>
          </div>
          <div class="tamanho7 meio animated fadeInDown delay-2s">
              <div class="cx-colorida" id="obj3">
              <CaixaColorida Content={[<p>Segundo Huang e colaboradores<Ref key={"rf"+Date.now()} Id="19"/>, a chance de mulheres com doença periodontal antes de 32 semanas de gestação desenvolverem pré-eclâmpsia é 3,69 vezes maior quando comparadas às gestantes sem doença periodontal.</p>]}/>
                
              </div>
          </div>
        </div>
          <div className="grid-row caixa">
        <CaixaIcone
                    type="importante"
                    title="IMPORTANTE"
                    Content = {[<p>Torna-se importante ressaltar que o fato haver uma associação positiva entre doença periodontal e risco de complicações obstétricas não implica em dizer que o tratamento da doença periodontal realizado durante a gestação diminui esse risco<Ref key={"rf"+Date.now()} Id="20"/>. Saiba mais sobre isso nas páginas seguintes.</p>]}/>
</div>
        </div>
      </StyledDiv>
    )
  }
}
export default Page
