import React from 'react'
import styled from 'styled-components'
import Ref from '../components/Ref'
import img1 from './media/images/person3.png'
import CaixaDialogoFundo from '../components/CaixaDialogoFundo'
import CaixaColorida from '../components/CaixaColorida'
import ModalBtn2 from '.././local/component/ModalBtn2'

// Styling
const StyledDiv = styled.div`

    .caixa-colorida{
      margin-top: 2vh;
    }
    .conversa-imagem{
      width: 24% !important;
    }
    @media screen and (max-width: 900px){
    .conversa{
      border-radius: 1vh !important;
    }

    .caixa-colorida .ref{
      color:#fff !important;
    }
`

// Page
class Page extends React.Component {
  componentDidMount () {

  }

  render () {
    return (
    // Page content
      <StyledDiv className='content'>
        <h2>Doenças orais mais frequentes em gestantes e puérperas</h2>
        <div className='page'>
        <p><strong>Doenças periodontais</strong></p>

        <p>A metanálise de Schwendicke e colaboradores<Ref key={"rf"+Date.now()} Id="20"/> mostrou que há dúvidas quanto à correlação entre tratamento periodontal e complicações obstétricas. Isso significa dizer que não se pode afirmar que a terapia periodontal seja eficaz em diminuir o risco de complicações obstétricas em gestantes.</p>

        <CaixaDialogoFundo DialogContent="Essa informação não descarta a necessidade de tratamento periodontal na gestação quando diagnosticada doença periodontal. Deve-se entender que a doença periodontal é uma infecção crônica que deve ser tratada em qualquer indivíduo, e que essa conduta não deve ser diferente para as gestantes." />

        <p>A doença periodontal é comum em mulheres em idade reprodutiva e a doença tende a se agravar durante a gravidez, quando não tratada.</p>

        <CaixaColorida Content={[<p>A Academia Americana de Periodontia (2017)<Ref key={"rf"+Date.now()} Id="21"/> e a Federação Europeia de Periodontia indicam que as mulheres com doença periodontal podem estar em risco de resultados adversos da gravidez, como dar à luz a um bebê pré-termo ou com crescimento intrauterino restrito, provavelmente através de vias inflamatórias sistêmicas.</p>]}/>

        <ModalBtn2 BtnType='importante' BtnText='ATENÇÃO' ModalTitle='Atenção' ModalContent={[<p>Destaca-se que as pesquisas apontam não haver um consenso entre a relação causal das doenças periodontais com parto prematuro/baixo peso ao nascer. Os resultados desses estudos são heterogêneos, dificultando a interpretação dos achados e sua transposição para a prática clínica<Ref key={"rf"+Date.now()} Id="14"/>.</p>,<p>Ainda não está claro se o tratamento periodontal durante a gravidez tem impacto no parto prematuro e há pouca evidência de que o tratamento periodontal possa reduzir o baixo peso ao nascer<Ref key={"rf"+Date.now()} Id="22"/>.</p>]} Id='1' />

        </div>
      </StyledDiv>
    )
  }
}
export default Page
