import React from 'react'
import styled from 'styled-components'
import Ref from '../components/Ref'
import img1 from './media/images/person6-1.png'
import img2 from './media/images/seta7.png'
import CaixaSombreada from '../components/CaixaSombreada'
import CaixaDialogoFundo from '../components/CaixaDialogoFundo'

// Styling
const StyledDiv = styled.div`
.tamanho1 {
    width: 4.9%;
}
@media screen and (max-width: 900px){
    .conversa{
      border-radius: 1vh !important;
    }
}
.conversa-imagem{
  width: 24% !important;
}
`

// Page
class Page extends React.Component {
  componentDidMount () {
  }

  render () {
    return (
    // Page content
      <StyledDiv className='content'>
        <h2>Doenças orais mais frequentes em gestantes e puérperas</h2>
        <div className='page'>
        <p><strong>Doenças periodontais</strong></p>

          <p>Dependendo das consequências funcionais e estéticas da lesão e das necessidades da paciente, pode ser feita uma intervenção.</p>

          <div className="animated fadeInDown">
            <CaixaDialogoFundo DialogContent="Pequenas lesões respondem bem ao desbridamento associado ao gel de clorexidina; lesões maiores requerem excisão cirúrgica, envolvendo o tecido conjuntivo associado e qualquer outro fator etiológico presente." />
          </div>

            <div class="grid-row centro">
              <div class="tamanho1 animated fadeInDown delay-1s" id="obj2">
                  <img src={img2}/>
              </div>
            </div>

            <CaixaSombreada Content={[<p>Devido à dificuldade de controle do sangramento, este procedimento só deve ser realizado por um profissional experiente<Ref key={"rf"+Date.now()} Id="15"/><sup>,</sup><Ref key={"rf"+Date.now()} Id="23"/><sup>,</sup><Ref key={"rf"+Date.now()} Id="24"/>.</p>, <p>Lesões removidas durante a gestação frequentemente recidivam<Ref key={"rf"+Date.now()} Id="15"/>.</p>]} />
            <div className="grid-row caixa">
            
            </div>
        </div>
      </StyledDiv>
    )
  }
}
export default Page
