import React from 'react'
import styled from 'styled-components'
import Ref from '../components/Ref'
import img1 from './media/images/pag22_img1.png'
import img2 from './media/images/person8.png'
import CaixaColorida from '../components/CaixaColorida'
import CaixaContorno from '../components/CaixaContorno'
import CaixaDialogoFundo from '../components/CaixaDialogoFundo'


// Styling
const StyledDiv = styled.div`
`

// Page
class Page extends React.Component {
  componentDidMount () {
  }

  render () {
    return (
    // Page content
    <StyledDiv className='content'>
        <h2>Doenças orais mais frequentes em gestantes e puérperas</h2>
        <div className='page'>
        <p><strong>Doenças periodontais</strong></p>

          <p>A <strong>mobilidade dental</strong> é uma característica da doença periodontal, causada pelas mudanças minerais na lâmina dura e distúrbios no ligamento periodontal.</p>

          <div class="grid-row centro">
            <div class="tamanho8 meio animated bounceInDown delay-0s" id="obj1">
                <div class="borda">
                  <CaixaContorno Content={[<p>A deficiência de vitamina C pode contribuir para este quadro, que deve ser tratado com<Ref key={"rf"+Date.now()} Id="15"/><sup>,</sup><Ref key={"rf"+Date.now()} Id="25"/>:</p>]} />
                  
                </div>
            </div>
          </div>
            <div class="grid-row centro">
                <div class="tamanho2 meio animated bounceInDown delay-1s" id="obj2">
                  <div><img src={img1}/></div>
              </div>
              <div class="tamanho4 meio animated bounceInDown delay-2s" id="obj3">
                  <div class="tamanho9">
                    <div class="cx-colorida">
                    <CaixaColorida Content={[<p>Remoção de irritantes locais</p>]}/>
                      
                    </div>
                  </div>
                  <div class="tamanho9">
                    <div class="cx-colorida">
                    <CaixaColorida Content={[<p>Doses terapêuticas de vitamina C</p>]}/>
                      
                    </div>
                  </div>
              </div>
            </div>

            <CaixaDialogoFundo DialogContent="Além das considerações sobre a doença periodontal e a gestação, existe ainda a influência de alguns fatores que podem tornar os dentes das gestantes mais suscetíveis às lesões de cárie. Este assunto será mais discutido nas próximas páginas." />

        </div>
      </StyledDiv>
    )
  }
}
export default Page
