import React from 'react'
import styled from 'styled-components'
import CaixaColorida from '../components/CaixaColorida'
import img1 from './media/images/pag23_seta1.png'
import img2 from './media/images/pag23_seta2.png'
import img3 from './media/images/pag23_seta3.png'
import img4 from './media/images/pag23_seta4.png'
import img5 from './media/images/seta8.png'

// Styling
const StyledDiv = styled.div`
  .tamanho11 {
    width: 5.9%;
  }

  .tamanho22 {
    width: 15.9%;
}

.caixa-laranja{
      border: none;
      color: #000;
      background: #E99415;
  }
  .caixa-laranja p{
    text-align: center;
   }
   .cx-colorida p{
    text-align: center;
   }
   
   .grid-row {
      word-spacing: -4px;
      position: relative;
      display: inline-block;
      width: 100%;
      align-content: center;
      margin-top: -1vh;
      margin-bottom: -1vh;
  }


`

// Page
class Page extends React.Component {
  componentDidMount () {
  }

  render () {
    return (
    // Page content
    <StyledDiv className='content'>
    <h2>Doenças orais mais frequentes em gestantes e puérperas</h2>
    <div className='page'>
    <p><strong>Doença cárie</strong></p>

    <p>Durante a gestação, devido aos episódios de náusea e vômito, frequentes entre 70% a 85% das grávidas, o meio bucal torna-se mais ácido, aumentando a probabilidade da desmineralização do esmalte dental por erosão. Além disso, muitas gestantes sentem náuseas durante a realização da escovação. Veja, abaixo, quais são os fatores responsáveis por isso:</p>


    <div class="grid-row centro">
      <div class="tamanho3 meio animated fadeInDown delay-0s" id="obj1">
          <div class="cx-colorida">
            <CaixaColorida Content={[<p>Aumento do consumo de açúcar</p>]}/>
            
          </div>
      </div>
      <div class="tamanho3 meio animated fadeInDown delay-0s" id="obj2">
          <div class="cx-colorida">
            <CaixaColorida Content={[<p>Negligência com a higiene bucal</p>]}/>
            
          </div>
      </div>
      <div class="tamanho3 meio animated fadeInDown delay-0s" id="obj3">
          <div class="cx-colorida">
            <CaixaColorida Content={[<p>Alteração da composição salivar</p>]}/>
            
          </div>
      </div>
    </div>

    
    <div class="grid-row">
      <div class="tamanho2"></div>
      <div class="tamanho2 animated fadeInDown delay-1s"><img id="obj4" src={img1} alt=""/></div>
      <div class="tamanho3"></div>    
      <div class="tamanho11 rigth animated fadeInDown delay-1s"><img id="obj5" src={img2} alt=""/></div>
    </div>
    
    <div class="grid-row centro">
      <div class="tamanho4 meio animated fadeInDown delay-2s" id="obj6">
          <div class="cx-colorida">
            <CaixaColorida Content={[<p>Aumento de patógenos e da desmineralização</p>]}/>
            
          </div>
      </div>
      <div class="tamanho4 meio animated fadeInDown delay-2s" id="obj7">
          <div class="cx-colorida">
            <CaixaColorida Content={[<p>Proliferação e descamação das células da mucosa oral</p>]}/>
            
          </div>
      </div>
    </div>

    <div class="grid-row centro">
      <div class="tamanho3 animated fadeInDown delay-3s"><img id="obj8" src={img3} alt=""/></div>
    </div>

    <div class="grid-row centro">
      <div class="tamanho4 meio animated fadeInDown delay-4s" id="obj9">
          <div class="cx-colorida">
            <CaixaColorida Content={[<p>Dentes mais suscetíveis às lesões de cáries</p>]}/>
            
          </div>
      </div>
    </div>

    <div class="grid-row centro">
      <div class="tamanho22 animated fadeInDown delay-5s"><img id="obj10" src={img4} alt=""/></div>
    </div>

    <div class="grid-row centro">
      <div class="tamanho3 meio animated fadeInLeft delay-5s" id="obj11">
          <div class="caixa-laranja">
            <p>Se não tratados:</p>
          </div>
      </div>
      <div class="tamanho1 meio animated fadeInLeft delay-5s" id="obj12">
          <div>
            <img src={img5}/>
          </div>
      </div>
      <div class="tamanho3 meio animated fadeInLeft delay-5s" id="obj13">
          <div class="cx-colorida">
            <CaixaColorida Content={[<p>Abscessos e celulites</p>]}/>
            
          </div>
      </div>
    </div>


    </div>
  </StyledDiv>
    )
  }
}
export default Page
