import React from 'react'
import styled from 'styled-components'
import Ref from '../components/Ref'
import img1 from './media/images/pag25_img1.png'
import img2 from './media/images/pag25_img2.png'
import CaixaSombreada from '../components/CaixaSombreada'
import CaixaColorida from '../components/CaixaColorida'


// Styling
const StyledDiv = styled.div`
@media screen and (max-width: 600px){
  .tamanho2 {
    width: 29.9%;
}
}
`

// Page
class Page extends React.Component {
  componentDidMount () {
  }

  render () {
    return (
    // Page content
      <StyledDiv className='content'>
        <h2>Doenças orais mais frequentes em gestantes e puérperas</h2>
        <div className='page'>
        <p><strong>Erosão dentária</strong></p>

          <p>Além da cárie, a hiperêmese também pode levar à erosão dentária, manifestando-se principalmente nas faces linguais e palatinas, podendo provocar hipersensibilidade dentária.</p>

          <div class="grid-row centro">
            <div class="tamanho2 meio animated bounceInDown " id="obj1">
                <div><img src={img1}/></div>
            </div>
            <div class="tamanho7 meio animated bounceInDown " id="obj2">
              <div class="caixa-anime">
              <CaixaSombreada Content={[<p>As grávidas devem ser orientadas a usar um colutório com flúor após o vômito, a fim de neutralizar os ácidos, além de não escovarem os dentes imediatamente depois de vomitar.</p>]} />
              </div>
            </div>
          </div>

          <div class="grid-row centro">
            <div class="tamanho7 meio animated bounceInDown delay-1s" id="obj3">
              <div class="caixa-anime">
              <CaixaSombreada Content={[<p>Recomenda-se o uso de escovas com cerdas macias para evitar danos adicionais ao esmalte.</p>,
                  <p>Antiácidos, como o hidróxido de alumínio ou mesmo os inibidores da bomba de prótons e fármacos antieméticos, também podem ser prescritos<Ref key={"rf"+Date.now()} Id="26"/>.</p>]} />
              </div>
            </div>
            <div class="tamanho2 meio animated bounceInDown delay-1s" id="obj4">
                <div><img src={img2}/></div>
            </div>
          </div>
          
          <CaixaColorida Content={[<p>Agora que você já conheceu as doenças orais mais frequentes em gestantes e puérperas, que tal retomar o caso de Juliana?</p>]} />
        
        </div>
      </StyledDiv>
    )
  }
}
export default Page
