import React from 'react'
import styled from 'styled-components'
import img1 from './media/images/seta_1.png'
import CaixaContorno from '../components/CaixaContorno'
import CaixaDestaqueSimples from '../components/CaixaDestaqueSimples'

// Styling
const StyledDiv = styled.div`
.tamanho1{
  width: 6.9%;
}
`

// Page
class Page extends React.Component {
  componentDidMount () {
  }

  render () {
    return (
    // Page content
      <StyledDiv className='content'>
        <h2>Doenças orais mais frequentes em gestantes e puérperas</h2>
        <div className='page'>
        <p><strong>Retomando o caso Juliana</strong></p>

          <p>As queixas apresentadas por Juliana são comuns entre as gestantes, especialmente a xerostomia e as alterações gengivais. Portanto, é fundamental que o profissional tenha conhecimento dessas alterações, fisiológicas ou não, para o diagnóstico bucal seguro e tratamento, quando necessário.</p>

          <div className="grid-row centro">
            <div className="tamanho1 meio animated fadeInLeft delay-0s" id="obj1">
                <div><img src={img1} alt=""/></div>
            </div>
            <div className="tamanho9 meio animated fadeInLeft delay-1s" id="obj2">
                <CaixaContorno Content={[<p>Em situações como a de Juliana, é importante informar a gestante quanto à ocorrência das alterações e sua relação com a gravidez.</p>]} />
            </div>
          </div>

          <div className="grid-row centro">
            <div className="tamanho1 meio animated fadeInLeft delay-2s" id="obj3">
                <div><img src={img1} alt=""/></div>
            </div>
            <div className="tamanho9 meio animated fadeInLeft delay-3s" id="obj4">                
                <CaixaContorno Content={[<p>É imprescindível reforçar o cuidado com a higiene bucal e com a alimentação saudável, e a importância de reduzir o consumo frequente de alimentos ricos em sacarose para prevenir o aparecimento ou agravamento de doenças orais.</p>]} />                
            </div>
          </div>

          <CaixaDestaqueSimples Content={[<p>Contudo, em casos como o de Juliana, é importante que adequações sejam feitas, uma vez que, em função dos episódios constantes de vômitos, a escovação imediata pode favorecer a ocorrência de erosão dental. Diante de casos como esse, é possível que você se depare com situações em que há a necessidade de realização de anestesia, de prescrição medicamentosa ou de exames radiográficos orais.</p>]}/>
        
        </div>
      </StyledDiv>
    )
  }
}
export default Page
