import React from 'react'
import styled from 'styled-components'
import CaixaSombreada from '../components/CaixaSombreada'
import img1 from './media/images/person1.png'
import CaixaIcone from '../components/CaixaIcone'


// Styling
const StyledDiv = styled.div`

@media screen and (min-width: 900px){ 
  .caixa-icone{
    top: 15vh;
  }
  
}

.caixa-icones span{
  width: 0vh !important;
}
`


// Page
class Page extends React.Component {
  componentDidMount () {
  }

  render () {
    return (
    // Page content
      <StyledDiv className='content'>
        <h2>Considerações finais</h2>
        <div className='page'>

            <CaixaSombreada Content={[
                <p>Neste e-book, você aprendeu que o atendimento odontológico durante a gestação é garantido pelas Diretrizes da Política Nacional de Saúde. Você também teve acesso às principais atividades que devem ser realizadas com a gestante em cada consulta, como o conhecido pré-natal odontológico. Também foram apresentadas neste recurso educacional as principais alterações fisiológicas e emocionais que ocorrem durante a gestação, as quais precisam ser consideradas em todos os atendimentos e procedimentos.</p>,
                <p>Esperamos que este conteúdo lhe ajude para que em sua prática profissional seja possível orientar os usuários, realizar um trabalho em equipe de maneira eficaz, bem como desempenhar com eficiência suas atividades.</p>,
                <p>Até a próxima!</p>]} />
           
          <CaixaIcone type=""
              title="COMO CITAR ESTE MATERIAL"
              Content={["DUARTE, K. M. M. Alterações fisiológicas e emocionais na gestação. In: UNA-SUS/UFMA. Saúde Bucal na APS: urgências, doenças transmissíveis, gestantes e pessoas com deficiência." , <strong> Cuidado em saúde bucal para gestantes e puérperas.</strong>," São Luís: UFMA; UNA-SUS, 2020."]} />

        </div>
      </StyledDiv>
    )
  }
}
export default Page
