import React from 'react'
import styled from 'styled-components'
import Ref from '../components/Ref'
import CaixaSombreada from '../components/CaixaSombreada'
import Modal from '../components/Modal'
import img1 from './media/images/pag3_img1.png'
import img2 from './media/images/pag3_img2.png'
import img3 from './media/images/pag3_img3.png'
import img4 from './media/images/pag3_img4.png'
import img5 from './media/images/pag3_img5.png'
import img6 from './media/images/pag3_img6.png'
import $ from "jquery"

// Styling
const StyledDiv = styled.div`
	.modal-btn{
		cursor: pointer;
	}
      #img{
		position: relative;
	}
	#obj1{
		position: absolute;
		width: 16%;
		left: 8%; 
		top: 2%;
    
	}
	#obj2{
		position: absolute;
		width: 16%;
		left: 8%; 
		top: 34%;
	}
	#obj3{
		position: absolute;
		width: 16%;
		left: 8%; 
		top: 65%;
	}
	#obj4{
		position: absolute;
		width: 16%;
		left: 26%; 
		top: 16%;
	}
	#obj5{
		position: absolute;
		width: 16%;
		left: 26%; 
		top: 50%;
	}
	.tamanho9{
		width: 85% !important;
	}
  `

// Page
class Page extends React.Component {
  componentDidMount () {
    

  }

  render () {
    return (
      // Page content
      <StyledDiv className='content'>
        <h2>Alterações fisiológicas e emocionais durante a gestação</h2>
        <div className='page'>
          <p>As Diretrizes da Política Nacional de Saúde Bucal preveem o atendimento individual e coletivo das gestantes, incluindo o pré-natal odontológico. <strong>Clique</strong> nos botões abaixo, abaixo, e conheça o que deve ser realizado nessas consultas<Ref key={"rf"+Date.now()} Id="1"/>:</p>

          <div className="grid-row centro">
            <div className="tamanho9">
              <img src={img1} id="img"/>
              <img className="modal-btn mc animated pulse infinite" data-modal-selector="#modal1" src={img2} id="obj1"/>
              <img className="modal-btn mc animated pulse infinite" data-modal-selector="#modal2" src={img3} id="obj2"/>
              <img className="modal-btn mc animated pulse infinite" data-modal-selector="#modal3" src={img4} id="obj3"/>
              <img className="modal-btn mc animated pulse infinite" data-modal-selector="#modal4" src={img5} id="obj4"/>
              <img className="modal-btn mc animated pulse infinite" data-modal-selector="#modal5" src={img6} id="obj5"/>

            </div>
          </div>

          <CaixaSombreada Content={[<p>É oportuno ressaltar que em nenhuma hipótese a assistência será compulsória, devendo sempre ser respeitada a vontade da gestante, sob pena de gravíssima infração ética.</p>]} />

        </div>

        <Modal ModalTitle="Atendimento durante a gestação" ModalContent={[<p>Orientação sobre possibilidade de atendimento durante a gestação.</p>]} Id="1" sizeP={((2.3 / 100) * ((95 / 100) * $(window).height()))} />

				<Modal ModalTitle="Diagnóstico de lesões de cárie" ModalContent={[<p>Diagnóstico de lesões de cárie e as respectivas ações de controle da doença e reparo relacionado às perdas das estruturas.</p>]} Id="2" sizeP={((2.3 / 100) * ((95 / 100) * $(window).height()))} />

				<Modal ModalTitle="Exame dos tecidos moles" ModalContent={[<p>Exame dos tecidos moles e identificação de risco à saúde.</p>]} Id="3" sizeP={((2.3 / 100) * ((95 / 100) * $(window).height()))} />

				<Modal ModalTitle="Gengivite e doença periodontal" ModalContent={[<p>Diagnóstico de gengivite ou doença periodontal crônica e necessidade de tratamento.</p>]} Id="4" sizeP={((2.3 / 100) * ((95 / 100) * $(window).height()))} />

				<Modal ModalTitle="Hábitos alimentares e higiene bucal" ModalContent={[<p>Orientações sobre hábitos alimentares (ingestão de açúcares) e higiene bucal.</p>]} Id="5" sizeP={((2.3 / 100) * ((95 / 100) * $(window).height()))} />

      </StyledDiv>
    )
  }
}
export default Page
