import React from 'react'
import styled from 'styled-components'
import CaixaSombreada from '../components/CaixaSombreada'
import img1 from './media/images/01.png'
import img2 from './media/images/02.png'
import img3 from './media/images/03.png'
import img4 from './media/images/04.png'
import img5 from './media/images/05.png'
import img6 from './media/images/06.png'
import img7 from './media/images/pag5_img1.png'
import img8 from './media/images/pag5_img2.png'
import img9 from './media/images/pag5_img3.png'
import img10 from './media/images/pag5_img4.png'
import img11 from './media/images/pag5_img5.png'
import img12 from './media/images/pag5_img6.png'
import $ from "jquery"


// Styling
const StyledDiv = styled.div`
    .caixa-anime {
    border: none;
    border-right: 1px solid #589e2c;
    border-bottom: 1px solid #589e2c;
    background: #F3F3F3;
    border-radius: 3px;
    box-shadow: 1px 1px 2px #999;
}
.obj {
  cursor: pointer;
}
[class*="caixa"] {
    height: auto;
    padding: 2%;
    margin: 5px 0;
    word-spacing: -4px;
}
.tamanho33{
  width: 25.9% !important;
}
.tamanho4{
  width: 33.9% !important;
}
@media screen and (max-width: 900px){
    .tamanho1{
      width: 16.9%;
    }
    .tamanho9{
      width: 78.9%;
    }
}
`

// Page
class Page extends React.Component {
  componentDidMount () {

    $(document).ready(function(){

      

      $('.caixa-anime').hide();
      $('.obj img').css({ "opacity":"0.3" });

      chamaTexto( $("#cx1") );
      ativaBotao( $("#obj1") );

      function chamaTexto( obj ) {

        apagaTextos();

        obj.fadeIn("slow");
      }

      function ativaBotao( obj ) {

        desativaBotoes();

        obj.find('img').css({ "opacity":"1.0" });

        var txt = obj.attr("id");
        txt = txt.substring(3,4);
        txt = "#cx"+txt;

        // console.log(txt);

        chamaTexto( $(txt) );
      }

      function desativaBotoes() {
        $('.obj img').css({ "opacity":"0.3" });
      }

      function apagaTextos() {
        $('.caixa-anime').hide();
      }

      $(".obj").click(function(){

        var btn = $(this).attr('id');
        btn = "#"+btn;

        ativaBotao( $(btn) );
      });

    });


  }

  render () {
    
    return (
    // Page content
      <StyledDiv className='content'>
        <h2>Alterações fisiológicas e emocionais durante a gestação</h2>
        <div className='page'>

        <p>As mudanças que ocorrem durante a gestação são muitas. <strong>Clique</strong> nos botões abaixo e conheça as principais.</p>

        <div className="grid-row centro">
          <div className="tamanho1 cima">
            <div className="tamanho8 obj animated fadeInLeft delay-0s" id="obj1"><div><img src={img1}/></div></div>
            <div className="tamanho8 obj animated fadeInLeft delay-1s" id="obj2"><div><img src={img2}/></div></div>
            <div className="tamanho8 obj animated fadeInLeft delay-2s" id="obj3"><div><img src={img3}/></div></div>
            <div className="tamanho8 obj animated fadeInLeft delay-3s" id="obj4"><div><img src={img4}/></div></div>
            <div className="tamanho8 obj animated fadeInLeft delay-4s" id="obj5"><div><img src={img5}/></div></div>
            <div className="tamanho8 obj animated fadeInLeft delay-5s" id="obj6"><div><img src={img6}/></div></div>

          </div>
          <div className="tamanho9 cima">
            <div className="caixa-anime" id="cx1">
              <p><strong>Mudanças bioquímicas:</strong></p>
              <ul>
                <li><p>Aumento do número de células sanguíneas;</p></li>
                <li><p>Aumento dos fatores de coagulação;</p></li>
                <li><p>Aumento da atividade fibrinolítica;</p></li>
                <li><p>Deficiência de ferro e anemia.</p></li>
              </ul>
              <div className="tamanho3"><div><img src={img7}/></div></div>
            </div>
            <div className="caixa-anime" id="cx2">
              <p><strong>Mudanças no sistema cardiovascular:</strong></p>
              <ul>
                <li><p>Taquicardia;</p></li>
                <li><p>Aumento de débito e frequência cardíaca;</p></li>
                <li><p>Aumento do volume sistólico.</p></li>
              </ul>
              <div className="tamanho2"><div><img src={img8}/></div></div>
            </div>
            <div className="caixa-anime" id="cx3">
              <p><strong>Mudanças no sistema respiratório:</strong></p>
              <ul>
                <li><p>Deslocamento do diafragma para cima;</p></li>
                <li><p>Diminuição da capacidade de reserva funcional;</p></li>
                <li><p>Aumento do risco de apneia e dispneia;</p></li>
                <li><p>Hiperventilação.</p></li>
              </ul>
              <div className="tamanho3"><div><img src={img9}/></div></div>
            </div>
            <div className="caixa-anime" id="cx4">
              <p><strong>Mudanças no sistema gastrointestinal:</strong></p>
              <ul>
                <li><p>Náuseas e vômitos;</p></li>
                <li><p>Azia e acidez;</p></li>
                <li><p>Diminuição da motilidade gástrica.</p></li>
              </ul>
              <div className="tamanho33"><div><img src={img10}/></div></div>
            </div>
            <div className="caixa-anime" id="cx5">
              <p><strong>Mudanças endocrinológicas:</strong></p>
              <ul>
                <li><p>Aumento de estrogênio, progesterona, esteroides, tiroxina (T4), níveis de insulina e aumento do 1,25-diidroxicolecalciferol (Vitamina D).</p></li>
              </ul>
              <div className="tamanho2"><div><img src={img11}/></div></div>
            </div>
            <div className="caixa-anime" id="cx6">
              <p><strong>Mudanças gerais:</strong></p>
              <ul>
                <li><p>Mudanças comportamentais;</p></li>
                <li><p>Aumento da demanda nutricional.</p></li>
              </ul>
              <div className="tamanho4"><div><img src={img12}/></div></div>
            </div>
          </div>
        </div>
          
        

        <CaixaSombreada Content={[<p>Algumas dessas mudanças fisiológicas sistêmicas repercutem na cavidade bucal, na qual podem ser notadas alterações significativas. Veja mais nas páginas a seguir.</p>]} />

        </div>
      </StyledDiv>
    )
  }
}
export default Page
