import React from 'react'
import styled from 'styled-components'
import img1 from './media/images/pag6_img1.png'
import img2 from './media/images/pag6_img2.png'
import img3 from './media/images/pag6_img3.png'
import img4 from './media/images/pag6_img4.png'
import img5 from './media/images/pag6_img5.png'
import $ from "jquery"


// Styling
const StyledDiv = styled.div`

.caixa-anime {
    border: none;
    border-right: 1px solid #589e2c;
    border-bottom: 1px solid #589e2c;
    background: #F3F3F3;
    border-radius: 3px;
    box-shadow: 1px 1px 2px #999;
}
.obj {
  cursor: pointer;
}
[class*="caixa"] {
    height: auto;
    padding: 2%;
    margin: 5px 0;
    word-spacing: -4px;
}
@media screen and (max-width: 900px){
    .tamanho6{
      width: 69.9%;
    }
}
`

// Page
class Page extends React.Component {
  componentDidMount () {

    $(document).ready(function(){

      

      $('.caixa-anime').hide();
      $('.obj img').css({ "opacity":"0.3" });

      chamaTexto( $("#cx1") );
      ativaBotao( $("#obj1") );

      function chamaTexto( obj ) {

        apagaTextos();

        obj.fadeIn("slow");
      }

      function ativaBotao( obj ) {

        desativaBotoes();

        obj.find('img').css({ "opacity":"1.0" });

        var txt = obj.attr("id");
        txt = txt.substring(3,4);
        txt = "#cx"+txt;

        // console.log(txt);

        chamaTexto( $(txt) );
      }

      function desativaBotoes() {
        $('.obj img').css({ "opacity":"0.3" });
      }

      function apagaTextos() {
        $('.caixa-anime').hide();
      }

      $(".obj").click(function(){

        var btn = $(this).attr('id');
        btn = "#"+btn;

        ativaBotao( $(btn) );
      });

    });

  }

  render () {
    return (
    // Page content
      <StyledDiv className='content'>
        <h2>Alterações fisiológicas e emocionais durante a gestação</h2>
        <div className='page'>
        
        <p>As mudanças no sistema imunológico, especialmente a supressão da função dos neutrófilos, podem estar associadas à doença periodontal, além de poder ser a causa provável da exacerbação da ação da placa bacteriana na indução da inflamação gengival. <strong>Clique</strong> nos botões abaixo para conhecer outras características:</p>  

        <div className="grid-row centro">
        <div className="tamanho3 cima">
          <div className="tamanho10 animated fadeInLeft delay-0s">
            <div>
              <img src={img1}/>
            </div>
          </div>
        </div>
        <div className="tamanho2">
          <div className="tamanho6 obj animated fadeInLeft delay-1s" id="obj1">
            <div>
              <img src={img2}/>
            </div>
          </div>
          <div className="tamanho6 obj animated fadeInLeft delay-2s" id="obj2">
            <div>
              <img src={img3}/>
            </div>
          </div>
          <div className="tamanho6 obj animated fadeInLeft delay-3s" id="obj3">
            <div>
              <img src={img4}/>
            </div>
          </div>
          <div className="tamanho6 obj animated fadeInLeft delay-4s" id="obj4">
            <div>
              <img src={img5}/>
            </div>
          </div>

        </div>
        <div className="tamanho5 cima">
          <div className="caixa-anime" id="cx1">
            <p>Aumento do volume sanguíneo e vasodilatação.</p>
          </div>
          <div className="caixa-anime" id="cx2">
            <p>Favorecimento da disseminação bacteriana e aumento da possibilidade de desenvolver infecções.</p>
          </div>
          <div className="caixa-anime" id="cx3">
            <p>Elevação do nível de progesterona, com aumento da permeabilidade vascular e alteração da resposta imune.</p>
          </div>
          <div className="caixa-anime" id="cx4">
            <p>Alteração da taxa e do tipo de colágeno produzido na gengiva, o que influencia na redução do potencial reparador e na manutenção tecidual.</p>
            <p>O nível de estrogênio, que também está elevado, diminui a queratinização e a efetividade da barreira epitelial.</p>
          </div>
        </div>
      </div>

        </div>
      </StyledDiv>
    )
  }
}
export default Page
