import React from 'react'
import styled from 'styled-components'
import Ref from '../components/Ref'
import img1 from './media/images/pag7_img1.png'
import $ from "jquery"


// Styling
const StyledDiv = styled.div`
.caixa-anime {
    border: none;
    border-right: 1px solid #589e2c;
    border-bottom: 1px solid #589e2c;
    background: #F3F3F3;
    border-radius: 3px;
    box-shadow: 1px 1px 2px #999;
}
[class*="caixa"] {
    height: auto;
    padding: 2%;
    margin: 5px 0;
    word-spacing: -4px;
}
.btn-selecao {
    overflow: hidden;
    background-color: #71B844;
    border-right: 1px solid #71B844;
    border-bottom: 1px solid #71B844;
    border-radius: 3px;
    box-shadow: 1px 1px 2px #999;
    position: relative;
    margin: 2px;
    color: #FFF;
    transition: border-color 0.3s, background-color 0.3s;
    transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);
    cursor: pointer;
}
.button {
    padding: 10px 0px 10px 4px;
    font-size: 16px;
    word-spacing: normal;
}
.btn-selecao > span {
    padding: 10px 0 10px 3px;
    font-family: "Trebuchet MS",Arial,Helvetica,sans-serif;
    transition: transform 0.3s, opacity 0.3s;
    transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);
}
.btn-selecao::after {
    content: attr(data-text);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    text-align: center !important;
    opacity: 0;
    color: #71B844;
    transform: translate3d(0, 25%, 0);
}

`

// Page
class Page extends React.Component {
  componentDidMount () {

   

            $('.caixa-anime').hide();
            $('.btn-selecao').css({ "opacity":"0.3" });


            chamaTexto( $("#cx1") );
            ativaBotao( $("#obj1") );

            function chamaTexto( obj ) {

                apagaTextos();

                obj.fadeIn("slow");
            }

            function ativaBotao( obj ) {

                desativaBotoes();

                obj.find('.btn-selecao').css({ "opacity":"1.0" });

                var txt = obj.attr("id");
                txt = txt.substring(3,4);
                txt = "#cx"+txt;

                // console.log(txt);

                chamaTexto( $(txt) );
            }

            function desativaBotoes() {
                $('.btn-selecao').css({ "opacity":"0.3" });
            }

            function apagaTextos() {
                $('.caixa-anime').hide();
            }

            $(".obj").click(function(){

                var btn = $(this).attr('id');
                btn = "#"+btn;
                ativaBotao( $(btn) );
            });

        
  }

  render () {
    return (
    // Page content
      <StyledDiv className='content'>
        <h2>Alterações fisiológicas e emocionais durante a gestação</h2>
        <div className='page'>
        

        <p><strong>Clique</strong> nos botões abaixo e conheça algumas alterações fisiológicas que podem interferir diretamente na saúde bucal durante a gestação.</p>

        <div className="grid-row centro">
            <div className="tamanho3 cima">
              <img src={img1} alt=""/>
            </div>
            <div className="tamanho5">
              <div className="tamanho7 obj animated fadeInLeft delay-0s" id="obj1"><div className="button btn-selecao" data-text="Mudanças gengivais"><span>Mudanças gengivais</span></div></div>
              <div className="tamanho7 obj animated fadeInLeft delay-1s" id="obj2"><div className="button btn-selecao" data-text="Composição salivar"><span>Composição salivar</span></div></div>
              <div className="tamanho7 obj animated fadeInLeft delay-2s" id="obj3"><div className="button btn-selecao" data-text="Xerostomia fisiológica"><span>Xerostomia fisiológica</span></div></div>
              <div className="tamanho7 obj animated fadeInLeft delay-3s" id="obj4"><div className="button btn-selecao" data-text="Náuseas e vômitos"><span>Náuseas e vômitos</span></div></div>

            </div>
          </div>
          <div className="grid-row">
              <div className="tamanho10">
                  <div className="caixa-anime" id="cx1">
                      <p>As mudanças gengivais ocorrem geralmente entre o 3º e o 8º mês de gestação e diminuem gradativamente após o parto<Ref key={"rf"+Date.now()} Id="4"/>. Os hormônios sexuais também podem afetar a gengiva por facilitarem a proliferação de bactérias anaeróbias no biofilme, aumentando em até 55 vezes a concentração de <i>Prevotella Intermedia</i> em mulheres grávidas em comparação com não grávidas<Ref key={"rf"+Date.now()} Id="5"/>.</p>
                  </div>
                  <div className="caixa-anime" id="cx2">
                      <p>As mudanças na composição salivar, como variações do pH, da capacidade tampão e dos níveis de peroxidase<Ref key={"rf"+Date.now()} Id="6"/>, elevam as chances de gestantes terem cárie, quando comparadas às mulheres em geral<Ref key={"rf"+Date.now()} Id="7"/>. Além disso, o aumento da frequência de ingestão, provocada pela diminuição da capacidade fisiológica do estômago, maior apetite por açúcares, além de pobre controle do biofilme dental corroboram esse evento<Ref key={"rf"+Date.now()} Id="8"/>.</p>
                  </div>
                  <div className="caixa-anime" id="cx3">
                      <p>A xerostomia é uma reclamação frequente das gestantes e tem origem fisiológica. Ocorre principalmente à noite, durante o sono, quando as glândulas reduzem o ritmo e a quantidade de secreção salivar espontânea<Ref key={"rf"+Date.now()} Id="4"/>. Embora possa ocorrer a sialorreia na 2ª ou 3ª semana de gestação, esta não deve se estender até o fim do primeiro trimestre.</p>
                  </div>
                  <div className="caixa-anime" id="cx4">
                      <p>Náuseas e vômitos são comuns até o terceiro mês de gravidez e acometem entre 70% a 85% das mulheres, mas podem se prolongar por toda a gestação, com episódios severos de náusea e vômito (hiperêmese gravídica – 0,3% a 2,0%), o que pode levar à erosão dental<Ref key={"rf"+Date.now()} Id="9"/><sup>,</sup><Ref key={"rf"+Date.now()} Id="10"/>. Esse fenômeno está mais relacionado à incapacidade da grávida de engolir quantidades normais de saliva devido às náuseas do que propriamente com o aumento da quantidade de saliva produzida<Ref key={"rf"+Date.now()} Id="9"/>.</p>
                  </div>
              </div>
          </div>

        </div>
      </StyledDiv>
    )
  }
}
export default Page
