import React from 'react'
import styled from 'styled-components'
import CaixaSombreada from '../components/CaixaSombreada.js'
import Ref from '../components/Ref'
import img1 from './media/images/01.png'
import img2 from './media/images/02.png'
import img3 from './media/images/03.png'
import img4 from './media/images/person4.png'
import $ from "jquery"


// Styling
const StyledDiv = styled.div`
        .pai { 
            border: 1px dashed #CECECE;
            padding: 5px 0px
            background-repeat: no-repeat;
            background-position: bottom left;
        }
        .texto {
            width: 65%;
            display: inline-block;
            vertical-align: top;
            padding: 5px 5px;
        }
        .botoes {
            width: 10%;
            display: inline-block;
            vertical-align: top;
            text-align: right;
        }
        .botoes > .filhoBotoes > img { width: 100%; cursor: pointer; }
        .objSelect{
          cursor: pointer;
        }
`

// Page
class Page extends React.Component {
  componentDidMount () {

    // Animation obj/txt Select
    var objSelect = $(".objSelect");
    var txtSelect = $(".txtSelect");

    function disableObj(event) {
        $(event).css({"opacity":"0.5"});
    }
    function enableObj(event) {
        $(event).css({"opacity":"1"});
        disableObj($(objSelect).not(event));
    }
    function clearText(event) {
        $(txtSelect).not(event).hide();
    }
    function showText(event) {
        var data = $(event).attr("data-select");
        $(data).show("fade");
        clearText($(data));
    }

    txtSelect.hide();
    disableObj(objSelect);
    enableObj(objSelect.first());
    showText(objSelect.first());
    objSelect.click(function() {
        showText(this);
        enableObj(this);
    });
    // $('.objSelect').click(()=>{
    //     $('#obj1').removeClass('pulse infinite animated')
    // })

    }

  render () {
    return (
    // Page content
      <StyledDiv className='content'>
        <h2>Alterações fisiológicas e emocionais durante a gestação</h2>
        <div className='page'>
        

          <p>Tendo em vista os fatores apresentados até aqui, os cirurgiões-dentistas devem aproveitar esse ciclo de vida de maior aproximação das mulheres com os serviços de saúde para estabelecer vínculo e criar um círculo virtuoso de educação e promoção de saúde individual e coletiva, empoderando, responsabilizando e ajudando na construção da autonomia dos cuidados em saúde para a própria mãe e seu bebê<Ref key={"rf"+Date.now()} Id="11"/>. <strong>Clique</strong> nos números abaixo.</p>

          {/* <div className="grid-row centro">
            <div className="tamanho10">
                <div id="obj1" className="tamanho2 animated pulse infinite"><img className="objSelect" src={img1} data-select="#txt1"/></div>
                <div id="obj2" className="tamanho2 animated pulse infinite"><img className="objSelect" src={img2} data-select="#txt2"/></div>
                <div id="obj3" className="tamanho2 animated pulse infinite"><img className="objSelect " src={img3} data-select="#txt3"/></div>
                <div id="obj4" className="tamanho2 animated pulse infinite"><img className="objSelect " src={img4} data-select="#txt4"/></div>
                <div id="obj5" className="tamanho2 animated pulse infinite"><img className="objSelect " src={img5} data-select="#txt5"/></div>
            </div>
        </div>
                
        <div className="grid-row">
            <div className="txtSelect" id="txt1">
                <CaixaContorno Content="A ocorrência de sangramento vaginal deve ser considerada anormal em qualquer época da gravidez. Nestes casos a gestante deve ser encaminhada para avaliação médica imediata."/>
            </div>
            <div className="txtSelect" id="txt2">
                <CaixaContorno Content="Cefaleia, escotomas visuais, epigastralgia e edema excessivo são sintomas que podem sugerir pré-eclâmpsia, principalmente no fim da gestação. Diante desses sintomas, o profissional deve avaliar imediatamente a pressão arterial e encaminhar para avaliação médica."/>
            </div>
            <div className="txtSelect" id="txt3">
                <CaixaContorno Content="São sintomas indicativos de início do trabalho de parto as contrações regulares e a perda de líquido. Portanto, a gestante que apresentar esses sinais deve ser encaminhada para avalição médica imediata e, em seguida, para a maternidade de referência."/>
            </div>
            <div className="txtSelect" id="txt4">
                <CaixaContorno Content="A diminuição de movimentação fetal é um indício de sofrimento fetal. Nestes casos, a gestante deverá ser submetida à avaliação médica no mesmo dia para avaliação dos batimentos cardíacos fetais, além de receber orientação acerca do mobilograma. Os profissionais devem considerar a possibilidade de encaminhamento ao serviço de referência."/>
            </div>
            <div className="txtSelect" id="txt5">
                <CaixaContorno Content="A presença de febre pode indicar infecção. Para investigação adequada, a gestante deverá ser avaliada (por médico) no mesmo dia e encaminhada à urgência, caso necessário."/>
            </div>
        </div> */}

          <div className="grid-row centro">
            <div className="pai">
              <div className="botoes tamanho1">
                <div id="obj1" className="tamanho10 animated pulse infinite"><div><img className="objSelect" src={img1} data-select="#txt1"/></div></div>
                <div id="obj2" className="tamanho10 animated pulse infinite"><div><img className="objSelect" src={img2} data-select="#txt2"/></div></div>
                <div id="obj3" className="tamanho10 animated pulse infinite"><div><img className="objSelect" src={img3} data-select="#txt3"/></div></div>
              </div>    

              <div className="texto tamanho6">
                <div className="txtSelect" id="txt1">
                    <p>Será que a gestante abordada durante o período gestacional para receber informações sobre sua própria saúde bucal e sobre os cuidados com a saúde bucal de seu futuro bebê tem melhores condições de absorver essas informações e colocá-las efetivamente em prática? </p>
                </div>
                <div className="txtSelect" id="txt2">
                    <p>Vamos e colaboradores<Ref key={"rf"+Date.now()} Id="12"/> publicaram uma revisão sistemática na qual reforçam a escassez de estudos bem delineados comprovando que as orientações nesse período são realmente eficazes e evidenciam fatores que podem influenciar diretamente na absorção das informações por parte da gestante.</p>
                </div>
                <div className="txtSelect" id="txt3">
                    <p>Segundo a pesquisa realizada por Vamos e colaboradores<Ref key={"rf"+Date.now()} Id="12"/>, alguns dos fatores são:</p>
                    <CaixaSombreada Content="Poder de persuasão e didática do profissional que orienta."/>
                    
                    <CaixaSombreada Content="Grau de interesse e educação das gestantes que recebem as instruções."/>
                </div>
              </div>
            
              <div className="tamanho2">
                <div><img src={img4} alt=""/></div>
              </div>
            </div>
          </div>

        </div>
      </StyledDiv>
    )
  }
}
export default Page
